﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Skywave
{
    public static class Constants
    {
        public static string Enum_GetText(Data.ChartDataGeneratorAxisDateTimeDatePortions e)
        {
            string r = "";
            switch (e)
            {
                case Data.ChartDataGeneratorAxisDateTimeDatePortions.Year:
                    r = Properties.Resources.ChartDataGeneratorAxisDateTimeDatePortions_Year;
                    break;
                case Data.ChartDataGeneratorAxisDateTimeDatePortions.Month:
                    r = Properties.Resources.ChartDataGeneratorAxisDateTimeDatePortions_Month;
                    break;
                case Data.ChartDataGeneratorAxisDateTimeDatePortions.Day:
                    r = Properties.Resources.ChartDataGeneratorAxisDateTimeDatePortions_Day;
                    break;
                case Data.ChartDataGeneratorAxisDateTimeDatePortions.DayOfWeek:
                    r = Properties.Resources.ChartDataGeneratorAxisDateTimeDatePortions_DayOfWeek;
                    break;
                default:
                    break;
            }
            return r;
        }
        public static string Enum_GetText(Data.ChartDataGeneratorAggregateFunctions e)
        {
            string r = "";
            switch (e)
            {
                case Data.ChartDataGeneratorAggregateFunctions.Count:
                    r = Properties.Resources.ChartDataGeneratorAggregateFunctions_Count;
                    break;
                case Data.ChartDataGeneratorAggregateFunctions.Sum:
                    r = Properties.Resources.ChartDataGeneratorAggregateFunctions_Sum;
                    break;
                case Data.ChartDataGeneratorAggregateFunctions.Average:
                    r = Properties.Resources.ChartDataGeneratorAggregateFunctions_Average;
                    break;
                case Data.ChartDataGeneratorAggregateFunctions.Max:
                    r = Properties.Resources.ChartDataGeneratorAggregateFunctions_Max;
                    break;
                case Data.ChartDataGeneratorAggregateFunctions.Min:
                    r = Properties.Resources.ChartDataGeneratorAggregateFunctions_Min;
                    break;
                default:
                    break;
            }
            return r;
        }
        public static string Enum_GetText(Data.ChartDataGeneratorAxisDateTimePointTextDisplayTypes e)
        {
            string r = "";
            switch (e)
            {
                case Data.ChartDataGeneratorAxisDateTimePointTextDisplayTypes.Period:
                    r = Properties.Resources.ChartDataGeneratorAxisDateTimePointTextDisplayTypes_Period;
                    break;
                case Data.ChartDataGeneratorAxisDateTimePointTextDisplayTypes.Start:
                    r = Properties.Resources.ChartDataGeneratorAxisDateTimePointTextDisplayTypes_Start;
                    break;
                case Data.ChartDataGeneratorAxisDateTimePointTextDisplayTypes.End:
                    r = Properties.Resources.ChartDataGeneratorAxisDateTimePointTextDisplayTypes_End;
                    break;
                default:
                    break;
            }
            return r;
        }
        public static string Enum_GetText(Data.ChartDataGeneratorAxisDateTimePeriodTypes e)
        {
            string r = "";
            switch (e)
            {
                case Data.ChartDataGeneratorAxisDateTimePeriodTypes.Custom:
                    r = Properties.Resources.ChartDataGeneratorAxisDateTime_PeriodTypes_Custom;
                    break;
                case Data.ChartDataGeneratorAxisDateTimePeriodTypes.AutoByCount:
                    r = Properties.Resources.ChartDataGeneratorAxisDateTime_PeriodTypes_AutoByCount;
                    break;
                case Data.ChartDataGeneratorAxisDateTimePeriodTypes.AutoByDatePortions:
                    r = Properties.Resources.ChartDataGeneratorAxisDateTime_PeriodTypes_AutoByDatePortions;
                    break;
                default:
                    break;
            }
            return r;
        }
        public static string Enum_GetText(DateTimeHelperCalendars e)
        {
            string r = "";
            switch (e)
            {
                case DateTimeHelperCalendars.Persian:
                    r = Properties.Resources.Calendars_Persian;
                    break;
                case DateTimeHelperCalendars.Gregorian:
                    r = Properties.Resources.Calendars_Gregorian;
                    break;
                default:
                    break;
            }
            return r;
        }
        public static string Enum_GetText(DateTimeHelperDisplayFormats e)
        {
            string r = "";
            switch (e)
            {
                case DateTimeHelperDisplayFormats.DayOfWeekAndShortDate:
                    r = Properties.Resources.DateTimeFormats_DayOfWeekAndShortDate;
                    break;
                case DateTimeHelperDisplayFormats.DayOfWeekAndMediumDate:
                    r = Properties.Resources.DateTimeFormats_DayOfWeekAndMediumDate;
                    break;
                case DateTimeHelperDisplayFormats.MediumDate:
                    r = Properties.Resources.DateTimeFormats_MediumDate;
                    break;
                case DateTimeHelperDisplayFormats.ShortDate:
                    r = Properties.Resources.DateTimeFormats_ShortDate;
                    break;
                case DateTimeHelperDisplayFormats.Year:
                    r = Properties.Resources.DateTimeFormats_Year;
                    break;
                case DateTimeHelperDisplayFormats.Month:
                    r = Properties.Resources.DateTimeFormats_Month;
                    break;
                case DateTimeHelperDisplayFormats.DayOfWeek:
                    r = Properties.Resources.DateTimeFormats_DayOfWeek;
                    break;
                case DateTimeHelperDisplayFormats.YearAndMonth:
                    r = Properties.Resources.DateTimeFormats_YearAndMonth;
                    break;
                case DateTimeHelperDisplayFormats.MonthName:
                    r = Properties.Resources.DateTimeFormats_MonthName;
                    break;
                case DateTimeHelperDisplayFormats.YearAndMonthName:
                    r = Properties.Resources.DateTimeFormats_YearAndMonthName;
                    break;
                default:
                    break;
            }
            return r;
        }
        public static string Enum_GetText(Security.OwnerTypes e)
        {
            string r = "";
            switch (e)
            {
                case Security.OwnerTypes.User:
                    r = Properties.Resources.Security_OwnerTypes_User;
                    break;
                case Security.OwnerTypes.Group:
                    r = Properties.Resources.Security_OwnerTypes_Group;
                    break;
                default:
                    break;
            }
            return r;
        }
    }
}
