﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace Skywave.Data
{
    [DataContract]
    public class ChartData
    {

        private string _AxisX_Text;
        /// <summary>
        /// AxisX_Text Property
        /// </summary>
        [DataMember]
        public string AxisX_Text
        {
            get { return _AxisX_Text; }
            set { _AxisX_Text = value; }
        }

        private string _AxisY_Text;
        /// <summary>
        /// AxisY_Text Property
        /// </summary>
        [DataMember]
        public string AxisY_Text
        {
            get { return _AxisY_Text; }
            set { _AxisY_Text = value; }
        }


        private Dictionary<int, string> _Legends = new Dictionary<int, string>();
        /// <summary>
        /// Legends Property
        /// </summary>
        [DataMember]
        public Dictionary<int, string> Legends
        {
            get { return _Legends; }
            set { _Legends = value; }
        }

        private List<ChartDataPoint> _Points = new List<ChartDataPoint>();
        /// <summary>
        /// Points Property
        /// </summary>
        [DataMember]
        public List<ChartDataPoint> Points
        {
            get { return _Points; }
            set { _Points = value; }
        }

    }
}
