﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Skywave.Data
{
    public class SqlReportNeedColumnDataEventArgs : EventArgs
    {
        public SqlReportNeedColumnDataEventArgs(SqlReportColumn column)
        {
            Column = column;
            SqlWhere = new List<string>();
            SqlJoin = new Dictionary<string, SqlJoinTypes>();
            SqlDeclare = new List<string>();
            Ignore = false;
            SqlJoin_AutoNumberAliases = false;
        }
        public SqlReportColumn Column { get; set; }
        public List<string> SqlWhere { get; set; }
        public string SqlSelect { get; set; }
        public Dictionary<string, SqlJoinTypes> SqlJoin { get; set; }
        public bool SqlJoin_AutoNumberAliases { get; set; }
        public List<string> SqlDeclare { get; set; }
        public bool Ignore { get; set; }
        public string SqlRandomKey { get; set; }
    }
}
