﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace Skywave.Security
{
    [DataContract]
    public enum OwnerTypes
    {
        [EnumMember]
        User = 1,
        [EnumMember]
        Group = 2
    }

    [DataContract]
    public class PolicyOwner
    {

        private int _PolicyValueId;
        /// <summary>
        /// ...
        /// </summary>
        [DataMember]
        public int PolicyValueId
        {
            get { return _PolicyValueId; }
            set { _PolicyValueId = value; }
        }

        private string _Text;
        /// <summary>
        /// ...
        /// </summary>
        [DataMember]
        public string Text
        {
            get { return _Text; }
            set { _Text = value; }
        }

        private int _OwnerDevId;
        /// <summary>
        /// ...
        /// </summary>
        [DataMember]
        public int OwnerDevId
        {
            get { return _OwnerDevId; }
            set { _OwnerDevId = value; }
        }

        private int _OwnerId;
        /// <summary>
        /// ...
        /// </summary>
        [DataMember]
        public int OwnerId
        {
            get { return _OwnerId; }
            set { _OwnerId = value; }
        }

        /// <summary>
        /// ...
        /// </summary>
        [IgnoreDataMember]
        public string Type_Text
        {
            get { return Constants.Enum_GetText((OwnerTypes)OwnerDevId); }
            set { }
        }
    }
}
