﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Skywave.ComponentModel
{
    public class PathProvider
    {
        string path_Base = "";
        public PathProvider(string basePath)
        {
            path_Base = basePath;
            if (!path_Base.EndsWith("\\"))
                path_Base += "\\";
            //
            if (!System.IO.Directory.Exists(path_Base))
                System.IO.Directory.CreateDirectory(path_Base);
        }

        /// <summary>
        /// Directory_Start Property
        /// </summary>
        public string Directory_Start
        {
            get { return path_Base; }
        }
    }
}
