﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace Skywave.Data
{
    [DataContract]
    public class ChartDataPoint
    {

        private string _X_Text;
        /// <summary>
        /// X text
        /// </summary>
        [DataMember]
        public string X_Text
        {
            get { return _X_Text; }
            set { _X_Text = value; }
        }

        private Dictionary<int, Dictionary<int, double?>> _Value = new Dictionary<int, Dictionary<int, double?>>();
        /// <summary>
        /// Key1: Legend key, Key2: Aggregate design id, Value: Aggregate value for the legend and the aggregate
        /// </summary>
        [DataMember]
        public Dictionary<int, Dictionary<int, double?>> Value
        {
            get { return _Value; }
            set { _Value = value; }
        }

        private Dictionary<int, Dictionary<string, double?>> _Value_Y = new Dictionary<int, Dictionary<string, double?>>();
        /// <summary>
        /// Key1: Legend key, Key2: Aggregate design id, Value: Aggregate value for the legend and the aggregate (Y specific)
        /// </summary>
        [DataMember]
        public Dictionary<int, Dictionary<string, double?>> Value_Y
        {
            get { return _Value_Y; }
            set { _Value_Y = value; }
        }

    }
}
