﻿using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using Microsoft.SqlServer.Server;

public partial class UserDefinedFunctions
{
    private static readonly System.Globalization.PersianCalendar cPersian = new System.Globalization.PersianCalendar();

    [Microsoft.SqlServer.Server.SqlFunction]
    public static SqlInt32 DayOfWeek_Persian(SqlDateTime dateInput, bool convertToLocal)
    {
        if (dateInput.IsNull)
            return SqlInt32.Null;
        else
            return new SqlInt32((int)cPersian.GetDayOfWeek((convertToLocal) ? dateInput.Value.ToLocalTime() : dateInput.Value));
    }
};

